* {
    box-sizing: border-box;
    transition: all 0.2s ease;
}

.container {
    background-image: url('img/bg.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    font-family: 'Ubuntu', sans-serif;
    font-weight: 400;
    font-size: 14px;
    height: 100vh;
}

header {
    height: 58px;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    padding: 0 79px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
}

header:hover {
    box-shadow: none;
}

.logo {
    font-weight: 700;
    font-size: 22px;
    color: #FFFFFF;
    text-decoration: none;
}

.logo:hover {
    color:#01813F;
}

.header_nav {
    display: flex;
    justify-content: center;
    align-items: center;
}

.header_nav >a:hover {
    color:#01813F;
}

.nav_icon {
    fill:#FFFFFF;
    align-items: center;
    padding-right: 24px;
}

.nav_icon:hover {
    fill:#01813F;
}

.header_log_in, .header_sing_up {
    color: #FFFFFF;
    text-decoration: none;
}

.header_log_in::before {
    content: "Welcome, ";
    border-left: 1px solid rgba(255, 255, 255, 0.5);  
    padding-left: 24px;
    color: #FFFFFF;
    text-decoration: none;
    outline: none;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.header_sing_up::before {
    content: " or ";
    padding-left: 5px;
    color: #FFFFFF;
    text-decoration: none;
    outline: none;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.sing_up_form_wrapper {
    max-width: 444px;
    height: 584px;  
    background-color: #FFFFFF;
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);   
    margin: auto;
    padding: 28px 59px 38px 60px;
    position: absolute;
    left: calc(50% - 444px/2);
    top: calc(50% - 584px/2);
    box-sizing: border-box;
}

.sign_up_text {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
}

.header_text {
    color: #434343;
    font-size: 20px;
}

.header_text::before {
    content: "";
    position: absolute;
    width: 18px;
    height: 18px;
    left: 0px;
    top: 29px;
    background: #3CB878;
}

.green_text {
    color: #3CB878;
    text-decoration: underline;
}

.green_text:hover {
    color: #01813F;
}

.btn_wrapper {
    margin-top: 13px;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-content: space-between;
}

.buttom {
    color: #FFFFFF;
    font-size: 16px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    text-align: center;
    align-items: center;
    border-radius: 4px;
    border: none;
    padding: 0 26px 0 9px;
}

.btm_logo_container {
    height: 28px;
    width: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.button_1 {
    background: #305DB8;
    width: 160px;
    height: 48px;
    position: relative;  
}

.button_2 {
    background: #DF4A32;
    width: 160px;
    height: 48px;
    position: relative;   
}

.button_1:hover {
    background: #022263;
}

.button_2:hover {
    background: #AB1F09;
}

.text_or {
    color: #848484;
    text-align: center;
    margin-top: 29px;
    margin-bottom: 11px;
}

.text_or::before {
    content: '\2014\2014\2014\2014\2014\2014\2014\2014\2013\2013\2013\2013\2013';
    display: inline-block;
    color:  #F2F2F2;
    margin-right: 5px;
}

.text_or::after {
    content: '\2014\2014\2014\2014\2014\2014\2014\2014\2014\2013\2013\2013\2013\ ';
    display: inline-block;
    color:  #F2F2F2;
    margin-left: 3px;
}

.form {
    color: #434343;
}

.form_item {
    width: 322px;
    height: 44px;
    padding-left: 19px;
    margin-bottom: 16px;
    outline: none;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
}

.form_item:focus {
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
    color: #434343;
}

.checkbox {
    margin-top: -3px;
}

.agreement {
    color: #434343;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

input[type="checkbox"]:checked, 
input[type="checkbox"]:not(:checked) {
    position: absolute;
    left: -9999px;
}

input[type="checkbox"]:checked + label, 
input[type="checkbox"]:not(:checked) + label {
    display: inline-block;
    position: relative;
    padding-left: 28px;
    line-height: 20px;
    cursor: pointer;
}

input[type="checkbox"]:checked + label:before, 
input[type="checkbox"]:not(:checked) + label:before {
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 20px;
    height: 20px;
    border: 1px solid #F2F2F2;
    background: rgba(0, 0, 0, 0.0001);
}

input[type="checkbox"]:checked + label:after, 
input[type="checkbox"]:not(:checked) + label:after {
    content: "";
    position: absolute;
    left: 4px;
    top: 4px;
    width: 14px;
    height: 7px;
    border-left: 2px solid #3CB878;
    border-bottom: 2px solid #3CB878;
    transform: rotate(-45deg);
}

input[type="checkbox"]:not(:checked) + label:after {
    opacity: 0;
}

input[type="checkbox"]:checked + label:after {
    opacity: 1;
}

.submit_btm {
    margin-top: 20px;
    background: rgba(60, 184, 120, 0.8);
    width: 324px;
    height: 46px;
    text-align: center;
    justify-content: center;
}

.submit_btm:hover {
    background: #01813F;
}
